---
title: MediaRecorder.onresume
slug: Web/API/MediaRecorder/onresume
tags:
  - API
  - Audio
  - Media Capture
  - Media Recorder API
  - MediaRecorder
  - Property
  - Reference
  - Video
  - onresume
---
<p>{{APIRef("Media Recorder API")}}</p>

<p>The <strong><code>MediaRecorder.onresume </code></strong>event handler (part of the <a href="/en-US/docs/Web/API/MediaRecorder_API">MediaRecorder API</a>) handles the <code>resume</code> event, allowing you to run code in response to the media recording being resumed after pausing.</p>

<p>The <code>resume</code> event is thrown as a result of the {{domxref("MediaRecorder.resume()")}} method being invoked.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">MediaRecorder.onresume = function(event) { ... }
MediaRecorder.addEventListener('resume', function(event) { ... })
</pre>

<h2 id="Example">Example</h2>

<pre class="brush: js">...

  pause.onclick = function() {
    if(MediaRecorder.state === "recording") {
      mediaRecorder.pause();
      // recording paused
    } else if(MediaRecorder.state === "paused") {
      mediaRecorder.resume();
      // resume recording
    }
  }

  mediaRecorder.onpause = function() {
    // do something in response to
    // recording being paused
  }

  mediaRecorder.onresume = function() {
    // do something in response to
    // recording being resumed
  }

...</pre>

<h2 id="Properties">Properties</h2>

<p>None.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName("MediaStream Recording", "#dom-mediarecorder-onresume", "MediaRecorder.onresume")}}</td>
   <td>{{Spec2("MediaStream Recording")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.MediaRecorder.onresume")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/MediaRecorder_API/Using_the_MediaRecorder_API">Using the MediaRecorder API</a></li>
 <li><a href="https://mdn.github.io/web-dictaphone/">Web Dictaphone</a>: MediaRecorder + getUserMedia + Web Audio API visualization demo, by <a href="https://twitter.com/chrisdavidmills">Chris Mills</a> (<a href="https://github.com/mdn/web-dictaphone/">source on Github</a>.)</li>
 <li><a href="http://simpl.info/mediarecorder/">simpl.info MediaStream Recording demo</a>, by <a href="https://twitter.com/sw12">Sam Dutton</a>.</li>
 <li>{{domxref("Navigator.getUserMedia")}}</li>
</ul>
